﻿@using Portal.Models;
@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@model Toyota.Common.Web.MVC.ModelHolder
@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
<style type="text/css">
 
</style>
<script type="text/javascript">
    function OnBeginCallbackGrid(s, e) {
        e.customArgs["PROCESS_DT_FROM"] = PROCESS_DT_FROM.GetText();
        e.customArgs["PROCESS_DT_TO"] = PROCESS_DT_TO.GetText();
        e.customArgs["PRODUCTION_DT_FROM"] = PRODUCTION_DT_FROM.GetText();
        e.customArgs["PRODUCTION_DT_TO"] = PRODUCTION_DT_TO.GetText();
        e.customArgs["RCV_PLANT_CD"] = RCV_PLANT.GetText();
        e.customArgs["DOCK_CD"] = DockOption.GetText();
        e.customArgs["KANBAN_NO"] = KANBAN_NO.GetText();
        e.customArgs["PART_NO"] = PART_NO.GetText();
        e.customArgs["SUPPLIER_PLANT"] = SUPPLIER_PLANT.GetText();
        e.customArgs["SUPPLIER_CODE"] = SUPPLIER_CD.GetText();
        e.customArgs["MANIFEST_NO"] = MANIFEST_NO.GetText();
        e.customArgs["ORDER_NO"] = ORDER_NO.GetText();
    }

    function search()
    {
        GridKanbanReceivingDailyReport.PerformCallback();
    }

    function clear()
    {
        PROCESS_DT_FROM.SetText("");
        PROCESS_DT_TO.SetText("");
        PRODUCTION_DT_FROM.SetText("");
        PRODUCTION_DT_TO.SetText("");
        RCV_PLANT.SetText("");
        DockOption.SetText("");
        GridDockOption.UnselectRows();
        KANBAN_NO.SetText("");
        PART_NO.SetText("");
        SUPPLIER_PLANT.SetText("");
        SUPPLIER_CD.SetText("");
        MANIFEST_NO.SetText("");
        ORDER_NO.SetText("");
        GridKanbanReceivingDailyReport.ClearFilter();
    }
</script>
<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD;
    padding: 10px;  height:50px;">
    @Html.Action("PartialHeader", "KanbanReceivingDailyReport")
</div>


    <div style="height: 15px;">
    </div>
    @* div spacing *@
   <div style=" display: table; width: 100%; margin-right: 10px; ">
    @Html.Action("PartialData", "KanbanReceivingDailyReport")
</div>


    <div id="toggleDetail" style="margin-top:5px;"></div>
